# Uses of Class
java.time.chrono.JapaneseEra

Packages that use JapaneseEra
Package
Description
java.time.chrono
Generic API for calendar systems other than the default ISO.

## Uses of JapaneseEra in java.time.chrono

Fields in java.time.chrono declared as JapaneseEra
Modifier and Type
Field
Description
`static JapaneseEra`
JapaneseEra.`HEISEI`
The singleton instance for the 'Heisei' era (1989-01-08 - 2019-04-30) which has the value 2.
`static JapaneseEra`
JapaneseEra.`MEIJI`
The singleton instance for the 'Meiji' era (1868-01-01 - 1912-07-29) which has the value -1.
`static JapaneseEra`
JapaneseEra.`REIWA`
The singleton instance for the 'Reiwa' era (2019-05-01 - ) which has the value 3.
`static JapaneseEra`
JapaneseEra.`SHOWA`
The singleton instance for the 'Showa' era (1926-12-25 - 1989-01-07) which has the value 1.
`static JapaneseEra`
JapaneseEra.`TAISHO`
The singleton instance for the 'Taisho' era (1912-07-30 - 1926-12-24) which has the value 0.
Methods in java.time.chrono that return JapaneseEra
Modifier and Type
Method
Description
`JapaneseEra`
JapaneseChronology.`eraOf​(int eraValue)`
Returns the calendar system era object from the given numeric value.
`JapaneseEra`
JapaneseDate.`getEra()`
Gets the era applicable at this date.
`static JapaneseEra`
JapaneseEra.`of​(int japaneseEra)`
Obtains an instance of `JapaneseEra` from an `int` value.
`static JapaneseEra`
JapaneseEra.`valueOf​(String japaneseEra)`
Returns the `JapaneseEra` with the name.
`static JapaneseEra[]`
JapaneseEra.`values()`
Returns an array of JapaneseEras.
Methods in java.time.chrono with parameters of type JapaneseEra
Modifier and Type
Method
Description
`static JapaneseDate`
JapaneseDate.`of​(JapaneseEra era, int yearOfEra, int month, int dayOfMonth)`
Obtains a `JapaneseDate` representing a date in the Japanese calendar system from the era, year-of-era, month-of-year and day-of-month fields.